import request from "@/http/request";

const queryStocksByPage = (params) => {
    return request({
        url: '/wms/stock/queryStocksByPage',
        method: 'post',
        data: params
    })
}

const updateStockInfo = (params) => {
    return request({
        url: '/wms/stock/updateStockInfo',
        method: 'post',
        data: params
    })
}

const getStockNumByGoodsId = (params) => {
    return request({
        url: '/wms/stock/getStockNumByGoodsId',
        method: 'post',
        data: params
    })
}

const getStockUpdateRecord = (params) => {
    return request({
        url: '/wms/stock/getStockUpdateRecord',
        method: 'post',
        data: params
    })
}

const handleExceptionStock = (params) => {
    return request({
        url: '/wms/stock/handleExceptionStock',
        method: 'post',
        data: params
    })
}

export {
    queryStocksByPage,
    updateStockInfo,
    getStockNumByGoodsId,
    getStockUpdateRecord,
    handleExceptionStock
}